# Python 2D list tutorial
# Syntax - array-name = [ [d1, d2, .... dn], [e1, e2, .... en] ]

# Generating 2D array via naive way
def basic(array_input):
    rows, cols = (3, 3)
    for i in range(rows):
        col = []
        for j in range(cols):
            col.append(0)
        array_input.append(col)

    print('2D array = {}\n'.format(array_input))


# Generating 2D array via nested generators
def nested_generators():
    rows, cols = (5, 5)
    # nested generators
    arr = [[0 for i in range(cols)] for j in range(rows)]

    print('2D array = {}\n'.format(arr))


# Generating 2D array via user input and nested generators
def input_to_array(array_input):
    # Asking the user input for the array size
    size = int(input('Enter the array size\n'))
    for x in range(size):
        # Nested generators
        array_input.append([int(y) for y in input().split()])

    print('\n2D array = {}'.format(array_input))


# Driver code
if __name__ == '__main__':
    basic(array_input=[])

    nested_generators()

    input_to_array(array_input=[])
